## kodi 17.6%2Bdfsg1

=== xbmc/commons/CMakeLists.txt ===
set(SOURCES Exception.cpp
            ilog.cpp)

set(HEADERS Buffer.h
            Exception.h
            ilog.h)

core_add_library(commons)

=== xbmc/dbwrappers/CMakeLists.txt ===
set(SOURCES Database.cpp
            DatabaseQuery.cpp
            dataset.cpp
            qry_dat.cpp
            sqlitedataset.cpp)

set(HEADERS Database.h
            DatabaseQuery.h
            dataset.h
            qry_dat.h
            sqlitedataset.h)

if(MYSQLCLIENT_FOUND)
  list(APPEND SOURCES mysqldataset.cpp)
  list(APPEND HEADERS mysqldataset.h)
endif()

core_add_library(dbwrappers)

=== xbmc/guilib/CMakeLists.txt ===
set(SOURCES DDSImage.cpp
            DirectXGraphics.cpp
            DirtyRegionSolvers.cpp
            DirtyRegionTracker.cpp
            FFmpegImage.cpp
            GraphicContext.cpp
            GUIAction.cpp
            GUIAudioManager.cpp
            GUIBaseContainer.cpp
            GUIBorderedImage.cpp
            GUIButtonControl.cpp
            GUIColorManager.cpp
            GUIControl.cpp
            GUIControlFactory.cpp
            GUIControlGroup.cpp
            GUIControlGroupList.cpp
            GUIControlProfiler.cpp
            GUIDialog.cpp
            GUIEditControl.cpp
            GUIFadeLabelControl.cpp
            GUIFixedListContainer.cpp
            GUIFont.cpp
            GUIFontCache.cpp
            GUIFontManager.cpp
            GUIFontTTF.cpp
            GUIImage.cpp
            GUIIncludes.cpp
            GUIInfoTypes.cpp
            GUIKeyboardFactory.cpp
            GUILabelControl.cpp
            GUILabel.cpp
            GUIListContainer.cpp
            GUIListGroup.cpp
            GUIListItem.cpp
            GUIListItemLayout.cpp
            GUIListLabel.cpp
            GUIMessage.cpp
            GUIMoverControl.cpp
            GUIMultiImage.cpp
            GUIPanelContainer.cpp
            GUIProgressControl.cpp
            GUIRadioButtonControl.cpp
            GUIRenderingControl.cpp
            GUIResizeControl.cpp
            GUIRSSControl.cpp
            GUIScrollBarControl.cpp
            GUISettingsSliderControl.cpp
            GUISliderControl.cpp
            GUISpinControl.cpp
            GUISpinControlEx.cpp
            GUIStaticItem.cpp
            GUITextBox.cpp
            GUITextLayout.cpp
            GUITexture.cpp
            GUIToggleButtonControl.cpp
            GUIVideoControl.cpp
            GUIVisualisationControl.cpp
            GUIWindow.cpp
            GUIWindowManager.cpp
            GUIWrappingListContainer.cpp
            imagefactory.cpp
            IWindowManagerCallback.cpp
            LocalizeStrings.cpp
            Resolution.cpp
            Shader.cpp
            StereoscopicsManager.cpp
            TextureBundle.cpp
            TextureBundleXBT.cpp
            Texture.cpp
            TextureManager.cpp
            VisibleEffect.cpp
            XBTF.cpp
            XBTFReader.cpp)

set(HEADERS DDSImage.h
            DirectXGraphics.h
            DirtyRegion.h
            DirtyRegionSolvers.h
            DirtyRegionTracker.h
            DispResource.h
            FFmpegImage.h
            Geometry.h
            GraphicContext.h
            gui3d.h
            GUIAction.h
            GUIAudioManager.h
            GUIBaseContainer.h
            GUIBorderedImage.h
            GUIButtonControl.h
            GUICallback.h
            GUIColorManager.h
            GUIControl.h
            GUIControlFactory.h
            GUIControlGroup.h
            GUIControlGroupList.h
            GUIControlProfiler.h
            GUIDialog.h
            GUIEditControl.h
            GUIFadeLabelControl.h
            GUIFixedListContainer.h
            GUIFont.h
            GUIFontCache.h
            GUIFontManager.h
            GUIFontTTF.h
            GUIImage.h
            GUIIncludes.h
            GUIInfoTypes.h
            GUIKeyboard.h
            GUIKeyboardFactory.h
            GUILabel.h
            GUILabelControl.h
            GUIListContainer.h
            GUIListGroup.h
            GUIListItem.h
            GUIListItemLayout.h
            GUIListLabel.h
            GUIMessage.h
            GUIMoverControl.h
            GUIMultiImage.h
            GUIPanelContainer.h
            GUIProgressControl.h
            GUIRadioButtonControl.h
            GUIRenderingControl.h
            GUIResizeControl.h
            GUIRSSControl.h
            GUIScrollBarControl.h
            GUISettingsSliderControl.h
            GUISliderControl.h
            GUISpinControl.h
            GUISpinControlEx.h
            GUIStaticItem.h
            GUITextBox.h
            GUITextLayout.h
            GUITexture.h
            GUIToggleButtonControl.h
            GUIVideoControl.h
            GUIVisualisationControl.h
            GUIWindow.h
            GUIWindowManager.h
            GUIWrappingListContainer.h
            IAudioDeviceChangedCallback.h
            IDirtyRegionSolver.h
            IGUIContainer.h
            iimage.h
            imagefactory.h
            IMsgTargetCallback.h
            IRenderingCallback.h
            ISliderCallback.h
            IWindowManagerCallback.h
            LocalizeStrings.h
            Resolution.h
            Shader.h
            StereoscopicsManager.h
            Texture.h
            TextureBundle.h
            TextureBundleXBT.h
            TextureManager.h
            TransformMatrix.h
            Tween.h
            VisibleEffect.h
            WindowIDs.h
            XBTF.h
            XBTFReader.h)

if(OPENGL_FOUND)
  list(APPEND SOURCES GUIFontTTFGL.cpp
                      GUITextureGL.cpp
                      MatrixGLES.cpp
                      TextureGL.cpp)
  list(APPEND HEADERS GUIFontTTFGL.h
                      GUITextureGL.h
                      MatrixGLES.h
                      TextureGL.h)
endif()

if(OPENGLES_FOUND)
  list(APPEND SOURCES GUIFontTTFGL.cpp
                      GUIShader.cpp
                      GUITextureGLES.cpp
                      MatrixGLES.cpp
                      TextureGL.cpp
                      TexturePi.cpp)
  list(APPEND HEADERS GUIFontTTFGL.h
                      GUIShader.h
                      GUITextureGLES.h
                      MatrixGLES.h
                      TextureGL.h
                      TexturePi.h)
endif()

if(CORE_SYSTEM_NAME STREQUAL windows)
  list(APPEND SOURCES D3DResource.cpp
                      GUIFontTTFDX.cpp
                      GUIShaderDX.cpp
                      GUITextureD3D.cpp
                      TextureDX.cpp)
  list(APPEND HEADERS D3DResource.h
                      GUIFontTTFDX.h
                      GUIShaderDX.h
                      GUITextureD3D.h
                      TextureDX.h)
endif()

core_add_library(guilib)

if(CORE_SYSTEM_NAME STREQUAL windows)
  set(SHADERS_VERTEX guishader_vert.hlsl)
  set(SHADERS_PIXEL guishader_checkerboard_right.hlsl
                    guishader_checkerboard_left.hlsl
                    guishader_default.hlsl
                    guishader_fonts.hlsl
                    guishader_interlaced_right.hlsl
                    guishader_interlaced_left.hlsl
                    guishader_multi_texture_blend.hlsl
                    guishader_texture.hlsl
                    guishader_texture_noblend.hlsl
                    guishader_video.hlsl
                    guishader_video_control.hlsl)
  foreach(shader ${SHADERS_VERTEX})
    get_filename_component(file ${shader} NAME_WE)
    add_custom_command(OUTPUT ${file}.h
                       COMMAND ${FXC} /Fh ${file}.h /E VS /T vs_4_0_level_9_1 /Vn ${file} /Qstrip_reflect
                                      ${CORE_SOURCE_DIR}/system/shaders/${shader}
                       DEPENDS ${CORE_SOURCE_DIR}/system/shaders/${shader}
                       COMMENT "FX compile vertex shader ${shader}"
                       VERBATIM)
    list(APPEND SHADERS ${file}.h)
  endforeach()
  foreach(shader ${SHADERS_PIXEL})
    get_filename_component(file ${shader} NAME_WE)
    add_custom_command(OUTPUT ${file}.h
                       COMMAND ${FXC} /Fh ${file}.h /E PS /T ps_4_0_level_9_1 /Vn ${file} /Qstrip_reflect
                                      ${CORE_SOURCE_DIR}/system/shaders/${shader}
                       DEPENDS ${CORE_SOURCE_DIR}/system/shaders/${shader}
                       COMMENT "FX compile pixel shader ${shader}"
                       VERBATIM)
    list(APPEND SHADERS ${file}.h)
  endforeach()

  add_custom_target(generate_shaders ALL DEPENDS ${SHADERS})
  set_target_properties(generate_shaders PROPERTIES FOLDER "Build Utilities")
  target_include_directories(${CORE_LIBRARY} PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
  add_dependencies(${CORE_LIBRARY} generate_shaders)
endif()

=== xbmc/network/CMakeLists.txt ===
set(SOURCES cddb.cpp
            DNSNameCache.cpp
            EventClient.cpp
            EventPacket.cpp
            EventServer.cpp
            GUIDialogAccessPoints.cpp
            GUIDialogNetworkSetup.cpp
            Network.cpp
            NetworkServices.cpp
            Socket.cpp
            TCPServer.cpp
            UdpClient.cpp
            WakeOnAccess.cpp
            WebServer.cpp
            ZeroconfBrowser.cpp
            Zeroconf.cpp)

set(HEADERS cddb.h
            DNSNameCache.h
            EventClient.h
            EventPacket.h
            EventServer.h
            GUIDialogAccessPoints.h
            GUIDialogNetworkSetup.h
            Network.h
            NetworkServices.h
            Socket.h
            TCPServer.h
            UdpClient.h
            WakeOnAccess.h
            WebServer.h
            Zeroconf.h
            ZeroconfBrowser.h)

if(PLIST_FOUND)
  list(APPEND SOURCES AirPlayServer.cpp)
  list(APPEND HEADERS AirPlayServer.h
                      DllLibPlist.h)
endif()

if(SHAIRPLAY_FOUND)
  list(APPEND SOURCES AirTunesServer.cpp)
  list(APPEND HEADERS AirTunesServer.h
                      DllLibShairplay.h)
endif()

core_add_library(network)
if(BLUETOOTH_FOUND)
  target_compile_definitions(${CORE_LIBRARY} PRIVATE -DHAVE_LIBBLUETOOTH=1)
endif()

=== xbmc/playlists/CMakeLists.txt ===
set(SOURCES PlayListB4S.cpp
            PlayList.cpp
            PlayListFactory.cpp
            PlayListM3U.cpp
            PlayListPLS.cpp
            PlayListURL.cpp
            PlayListWPL.cpp
            PlayListXML.cpp
            SmartPlayList.cpp
            SmartPlaylistFileItemListModifier.cpp)

set(HEADERS PlayList.h
            PlayListB4S.h
            PlayListFactory.h
            PlayListM3U.h
            PlayListPLS.h
            PlayListURL.h
            PlayListWPL.h
            PlayListXML.h
            SmartPlayList.h
            SmartPlaylistFileItemListModifier.h)

core_add_library(playlists)

=== xbmc/pvr/CMakeLists.txt ===
set(SOURCES PVRActionListener.cpp
            PVRGUIInfo.cpp
            PVRManager.cpp
            PVRDatabase.cpp
            PVRSettings.cpp)

set(HEADERS PVRActionListener.h
            PVRDatabase.h
            PVREvent.h
            PVRGUIInfo.h
            PVRManager.h
            PVRSettings.h)

core_add_library(pvr)

=== xbmc/utils/CMakeLists.txt ===
set(SOURCES ActorProtocol.cpp
            AlarmClock.cpp
            AliasShortcutUtils.cpp
            Archive.cpp
            auto_buffer.cpp
            Base64.cpp
            BitstreamConverter.cpp
            BitstreamStats.cpp
            BooleanLogic.cpp
            CharsetConverter.cpp
            CharsetDetection.cpp
            CPUInfo.cpp
            Crc32.cpp
            DatabaseUtils.cpp
            EndianSwap.cpp
            Environment.cpp
            Fanart.cpp
            FileOperationJob.cpp
            FileUtils.cpp
            fstrcmp.c
            GroupUtils.cpp
            HTMLUtil.cpp
            HttpHeader.cpp
            HttpParser.cpp
            HttpRangeUtils.cpp
            HttpResponse.cpp
            InfoLoader.cpp
            JobManager.cpp
            JSONVariantParser.cpp
            JSONVariantWriter.cpp
            LabelFormatter.cpp
            LangCodeExpander.cpp
            LegacyPathTranslation.cpp
            Locale.cpp
            log.cpp
            md5.cpp
            Mime.cpp
            Observer.cpp
            PerformanceSample.cpp
            PerformanceStats.cpp
            POUtils.cpp
            RecentlyAddedJob.cpp
            RegExp.cpp
            rfft.cpp
            RingBuffer.cpp
            RssManager.cpp
            RssReader.cpp
            ProgressJob.cpp
            SaveFileStateJob.cpp
            ScraperParser.cpp
            ScraperUrl.cpp
            Screenshot.cpp
            SeekHandler.cpp
            SortUtils.cpp
            Speed.cpp
            Splash.cpp
            Stopwatch.cpp
            StreamDetails.cpp
            StreamUtils.cpp
            StringUtils.cpp
            StringValidation.cpp
            SysfsUtils.cpp
            SystemInfo.cpp
            Temperature.cpp
            TextSearch.cpp
            TimeUtils.cpp
            URIUtils.cpp
            UrlOptions.cpp
            Utf8Utils.cpp
            Variant.cpp
            Vector.cpp
            Weather.cpp
            XBMCTinyXML.cpp
            XMLUtils.cpp)

set(HEADERS ActorProtocol.h
            AlarmClock.h
            AliasShortcutUtils.h
            Archive.h
            auto_buffer.h
            Base64.h
            BitstreamConverter.h
            BitstreamStats.h
            BooleanLogic.h
            CharsetConverter.h
            CharsetDetection.h
            CPUInfo.h
            Crc32.h
            DatabaseUtils.h
            EndianSwap.h
            Environment.h
            EventStream.h
            EventStreamDetail.h
            Fanart.h
            FileOperationJob.h
            FileUtils.h
            fstrcmp.h
            GlobalsHandling.h
            GroupUtils.h
            HTMLUtil.h
            HttpHeader.h
            HttpParser.h
            HttpRangeUtils.h
            HttpResponse.h
            IArchivable.h
            InfoLoader.h
            IRssObserver.h
            ISerializable.h
            ISortable.h
            IXmlDeserializable.h
            Job.h
            JobManager.h
            JSONVariantParser.h
            JSONVariantWriter.h
            LabelFormatter.h
            LangCodeExpander.h
            LegacyPathTranslation.h
            Locale.h
            log.h
            MathUtils.h
            md5.h
            Mime.h
            Observer.h
            params_check_macros.h
            PerformanceSample.h
            PerformanceStats.h
            POUtils.h
            ProgressJob.h
            RecentlyAddedJob.h
            RegExp.h
            rfft.h
            RingBuffer.h
            RssManager.h
            RssReader.h
            SaveFileStateJob.h
            ScopeGuard.h
            ScraperParser.h
            ScraperUrl.h
            Screenshot.h
            SeekHandler.h
            SortUtils.h
            Speed.h
            Splash.h
            Stopwatch.h
            StreamDetails.h
            StreamUtils.h
            StringUtils.h
            StringValidation.h
            SysfsUtils.h
            SystemInfo.h
            Temperature.h
            TextSearch.h
            TimeUtils.h
            URIUtils.h
            UrlOptions.h
            Utf8Utils.h
            uXstrings.h
            Variant.h
            Vector.h
            Weather.h
            XBMCTinyXML.h
            XMLUtils.h)

if(XSLT_FOUND)
  list(APPEND SOURCES XSLTUtils.cpp)
  list(APPEND HEADERS XSLTUtils.h)
endif()

# The large map trips the clang optimizer
if(CMAKE_CXX_COMPILER_ID STREQUAL Clang)
  set_source_files_properties(Mime.cpp PROPERTIES COMPILE_FLAGS -O0)
endif()

if(NOT CORE_SYSTEM_NAME STREQUAL windows)
  list(APPEND SOURCES CryptThreading.cpp
                      GLUtils.cpp)
  list(APPEND HEADERS CryptThreading.h
                      GLUtils.h)
endif()

if(CORE_SYSTEM_NAME STREQUAL android OR AML_FOUND)
  list(APPEND SOURCES AMLUtils.cpp
                      ScreenshotAML.cpp)
  list(APPEND HEADERS AMLUtils.h
                      ScreenshotAML.h)
endif()

core_add_library(utils)

if(NOT CORE_SYSTEM_NAME STREQUAL windows)
  if(HAVE_SSE2)
    target_compile_options(${CORE_LIBRARY} PRIVATE -msse2)
  endif()
endif()

=== xbmc/video/CMakeLists.txt ===
set(SOURCES Bookmark.cpp
            ContextMenus.cpp
            GUIViewStateVideo.cpp
            PlayerController.cpp
            Teletext.cpp
            VideoDatabase.cpp
            VideoDbUrl.cpp
            VideoInfoDownloader.cpp
            VideoInfoScanner.cpp
            VideoInfoTag.cpp
            VideoLibraryQueue.cpp
            VideoReferenceClock.cpp
            VideoThumbLoader.cpp
            ViewModeSettings.cpp)

set(HEADERS Bookmark.h
            ContextMenus.h
            Episode.h
            GUIViewStateVideo.h
            PlayerController.h
            Teletext.h
            TeletextDefines.h
            VideoDatabase.h
            VideoDbUrl.h
            VideoInfoDownloader.h
            VideoInfoScanner.h
            VideoInfoTag.h
            VideoLibraryQueue.h
            VideoReferenceClock.h
            VideoThumbLoader.h)

core_add_library(video)

=== xbmc/view/CMakeLists.txt ===
set(SOURCES GUIViewControl.cpp
            GUIViewState.cpp
            ViewDatabase.cpp
            ViewStateSettings.cpp)

set(HEADERS GUIViewControl.h
            GUIViewState.h
            ViewDatabase.h
            ViewState.h
            ViewStateSettings.h)

core_add_library(view)

=== xbmc/contrib/kissfft/CMakeLists.txt ===
set(SOURCES kiss_fft.c
            kiss_fftr.c)

set(HEADERS _kiss_fft_guts.h
            kiss_fft.h
            kiss_fftr.h)

core_add_library(kissfft)

=== xbmc/cores/RetroPlayer/Makefile ===
SRCS=PixelConverter.cpp \
     RetroPlayer.cpp \
     RetroPlayerAudio.cpp \
     RetroPlayerVideo.cpp

ifeq (osx,rbpi)
  SRCS += PixelConverterRBP.cpp
endif

LIB=retroplayer.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/filesystem/MusicDatabaseDirectory/Makefile ===
SRCS=DirectoryNode.cpp \
     DirectoryNodeAlbum.cpp \
     DirectoryNodeAlbumCompilations.cpp \
     DirectoryNodeAlbumCompilationsSongs.cpp \
     DirectoryNodeAlbumRecentlyAdded.cpp \
     DirectoryNodeAlbumRecentlyAddedSong.cpp \
     DirectoryNodeAlbumRecentlyPlayed.cpp \
     DirectoryNodeAlbumRecentlyPlayedSong.cpp \
     DirectoryNodeAlbumTop100.cpp \
     DirectoryNodeAlbumTop100Song.cpp \
     DirectoryNodeArtist.cpp \
     DirectoryNodeGrouped.cpp \
     DirectoryNodeOverview.cpp \
     DirectoryNodeRoot.cpp \
     DirectoryNodeSingles.cpp \
     DirectoryNodeSong.cpp \
     DirectoryNodeSongTop100.cpp \
     DirectoryNodeTop100.cpp \
     DirectoryNodeYearAlbum.cpp \
     DirectoryNodeYearSong.cpp \
     QueryParams.cpp \

LIB=musicdatabasedirectory.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== debian/changelog ===
kodi (2:17.6+dfsg1-4) unstable; urgency=medium

  * debian/tests/gui: Print xvfb-run error to stdout
  * debian/tests/gui: Fix test by starting 24bit screen and waiting for
    kodi's start
  * Drop transitional packages
  * Fix FTBFS when _G_va_list is not defined, like on Ubuntu 19.04

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 20 Nov 2018 12:21:00 +0100

kodi (2:17.6+dfsg1-3) unstable; urgency=medium

  [ Balint Reczey ]
  * debian/NEWS: Fix language to keep lintian happy
  * Add simple autopkgtest

  [ Gianfranco Costamagna ]
  * Upstream fixes for new ffmpeg:
    debian/patches/19f28e88a5dfed82e9844f69210f7c045f18ca8e.patch
    debian/patches/c7e2acc1b2ee781af6e14d80da0edd0aa23bdf03.patch
    (Closes: #888383, #912994)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 16 Nov 2018 01:42:36 +0100

kodi (2:17.6+dfsg1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Rechi ]
  * Drop build dependencies on libboost-*
    Boost isn't required since v17.

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Balint Reczey ]
  * Ship only Kodi desktop session without the xbmc.desktop duplicate link
  * Stop build-depending on versioned GCC, this workaround is not needed
    anymore (Closes: #892399)
    Thanks to Adrian Bunk who also proposed a patch and a delayed NMU.
  * Stop shipping kodi.service
    Please use a lightweight display manager set up to autologin instead.
  * Add d/source.lintian-overrides to d/source/lintian-overrides
    to keep lintian happy

  [ Rolf Leggewie ]
  * demote hard font dependencies from Depends to Recommends (LP: #1685918)

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 28 Apr 2018 20:50:46 +0200

kodi (2:17.6+dfsg1-1) unstable; urgency=medium

  * New upstream version 17.6 (with accumulated changes from 17.4 and 17.5):
    - https://kodi.tv/article/kodi-v174-final-just-bunch-fixes
    - https://kodi.tv/article/kodi-v175-final-another-bunch-fixes
    - https://kodi.tv/article/kodi-v176-final-very-last
  * Refresh patches
  * Depend and build-depend on python-pil instead of python-imaging
    (Closes: #866437)
  * Apply workaround for scratchy sound with FFmpeg 3.4.
    Thanks to James Cowgill for triaging and Stefan Hachmann for the patch
    (Closes: #881536)
  * Fix starting kodi on arm64 (Closes: #876876)
  * Change URLs to use HTTPS in README.Debian and drop feed URL from
    description (Closes: #860484)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 26 Dec 2017 01:06:49 +0100

kodi (2:17.3+dfsg1-5) unstable; urgency=medium

  * Build-depend on fontforge-nox (not fontforge.
  * Use rsvg-convert to generate branding logo.
    Build-depend on (not inkscape).
  * Fix remove repository feed from kodi-data.
    Tighten kodi-repository-kodi breaks+replaces on kodi-data.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 Oct 2017 02:37:25 +0200

kodi (2:17.3+dfsg1-4) unstable; urgency=medium

  * Update package relations:
    + Fix have kodi-repository-kodi conflict against and replace older
      kodi/kodi-data/xbmc.
      Fixes bug#877960. Thanks to Andreas Beckmann.
    + Fix have kodi-repository-kodi conflict against (not break) virtual
      kodi-repository.
    + Fix have package kodi-repository-kodi depend on ${misc:Depends}.
    + Stop build-depend on dh-autoreconf autotools-dev: Handled by
      debhelper.
  * Rewrite copyright info, with major coverage improvements.
  * Add maintainer script copyright-check to source.
  * Update git-buildpackage config:
    + Add usage comment.
    + Filter any .git* file.
  * Override lintian regarding license in License-Reference field.
    See bug#786450.
  * Override lintian regarding obsolete-url-in-packaging: License grant
    must be included verbatim.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Oct 2017 22:46:23 +0200

=== debian/control ===
Source: kodi
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Balint Reczey <rbalint@ubuntu.com>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: autoconf,
 automake,
 autopoint,
 cmake,
 curl,
 debhelper (>= 10~),
 default-jre,
 dh-python,
 doxygen,
 fontforge-nox,
 fonts-dejavu-core,
 fonts-droid-fallback,
 gawk,
 gperf,
 groovy,
 librsvg2-bin,
 libasound2-dev | libasound-dev,
 libass-dev (>= 0.9.8),
 libavahi-client-dev,
 libavahi-common-dev,
 libavcodec-dev (>= 7:2.7.1),
 libavfilter-dev (>= 7:2.7.1),
 libavformat-dev (>= 7:2.7.1),
 libavresample-dev (>= 7:2.7.1),
 libavutil-dev (>= 7:2.7.1),
 libbluetooth-dev,
 libbluray-dev (>= 1:0.7.0),
 libbz2-dev,
 libcap-dev,
 libcdio-dev,
 libcec-dev (>= 4~),
 libp8-platform-dev,
 libcommons-lang-java,
 libcurl4-gnutls-dev | libcurl-dev,
 libcwiid-dev [linux-any],
 libdbus-1-dev,
 libcrossguid-dev,
# libdvdnav-dev, use patched embedded version
# libdvdread-dev, use patched embedded version
 libfontconfig-dev,
 libfreetype6-dev,
 libfribidi-dev,
 libgif-dev,
 libgles2-mesa-dev [armel armhf arm64] | libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libgtest-dev,
 libiso9660-dev,
 libjpeg-dev,
 liblcms2-dev,
 libltdl-dev,
 liblzo2-dev,
 libmicrohttpd-dev,
 libmodplug-dev,
 default-libmysqlclient-dev,
 libnfs-dev,
 libomxil-bellagio-dev [armel armhf arm64 mipsel mips],
 libpcre3-dev,
 libplist-dev,
 libpng-dev,
 libpostproc-dev (>= 7:2.7.1),
 libpulse-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libshairport-dev,
 libsmbclient-dev,
 libsqlite3-dev,
 libssh-gcrypt-dev,
 libgcrypt-dev,
 libswscale-dev (>= 7:2.7.1),
 libtag1-dev (>= 1.8),
 libtinyxml-dev (>= 2.6.2),
 libtool,
 libudev-dev,
 libva-dev [!armel !armhf !arm64 !mipsel !mips],
 libvdpau-dev [!armel !armhf !arm64 !mipsel !mips],
 libxmu-dev,
 libxrandr-dev,
 libxslt1-dev,
 libxt-dev,
 libyajl-dev,
 nasm [i386],
 python-dev (>= 2.6.6-3~),
 python-pil,
 swig,
 udev,
 unzip,
 uuid-dev,
 valgrind [amd64 i386],
 yasm,
 zip,
 zlib1g-dev
Standards-Version: 3.9.8
Homepage: https://kodi.tv/
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi

Package: kodi
Architecture: any
Depends: kodi-bin (>= ${source:Version}),
         kodi-bin (<< ${source:Version}.1~),
         kodi-data (>= ${source:Version}),
         ${misc:Depends}
Recommends: kodi-repository-kodi | kodi-repository, kodi-visualization-spectrum
Replaces: xbmc (<< 2:13.2+dfsg1-5~)
Breaks: xbmc (<< 2:13.2+dfsg1-5~)
Provides: ${kodi:PVRAPI}, ${kodi:GUILIBAPI}
Description: Open Source Home Theatre (executable binaries)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains the kodi binaries.

Package: kodi-data
Architecture: all
Multi-Arch: foreign
Depends: mesa-utils,
         x11-utils,
         libjs-jquery,
         libjs-iscroll,
         python-pil,
         ${python:Depends},
         ${misc:Depends}
Recommends: fonts-noto-hinted,
            fonts-noto-mono,
            fonts-roboto-hinted
Replaces: xbmc (<< 2:13.2+dfsg1-5~), kodi (<< 15.2~rc1+dfsg1-2~)
Breaks: xbmc (<< 2:13.2+dfsg1-5~), kodi (<< 15.2~rc1+dfsg1-2~)
Description: Open Source Home Theatre (arch-independent data package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the architecture independent data needed to have a
 working Kodi.

Package: kodi-bin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${dlopenlibs:Depends},
         ${misc:Depends}
Recommends: ${shlibs:Recommends}, udisks2
Replaces: xbmc-bin (<< 2:13.2+dfsg1-5~)
Breaks: xbmc-bin (<< 2:13.2+dfsg1-5~)
Conflicts: libgl1-mesa-swx11
Description: Open Source Home Theatre (architecture-dependent files)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the binary data needed to have a working Kodi.

Package: kodi-eventclients-common
Architecture: all
Multi-Arch: foreign
Depends: ${python:Depends}, ${misc:Depends}
Description: Open Source Home Theatre (Event Client Common package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the common package for Kodi Event Client.

Package: kodi-eventclients-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: kodi-eventclients-common (= ${binary:Version}),
         ${misc:Depends}
Description: Open Source Home Theatre (Event Client Dev package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This is the Development package for Kodi Event Client.

Package: kodi-eventclients-wiiremote
Architecture: any
Depends: kodi-eventclients-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Open Source Home Theatre (Event Client WII Remote support package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the Wii Remote client package for Kodi.

Package: kodi-eventclients-ps3
Architecture: all
Multi-Arch: foreign
Depends: kodi-eventclients-common (= ${binary:Version}),
         python-bluez | python-lightblue,
         ${python:Depends},
         ${misc:Depends}
Description: Open Source Home Theatre (Event Client PS3 package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
